package net.shadowfacts.phycon

import net.minecraft.util.Identifier
import net.shadowfacts.phycon.api.PhyConAPI
import net.shadowfacts.phycon.api.TerminalSetting
import net.shadowfacts.phycon.api.TerminalSettingKey
import net.shadowfacts.phycon.util.TerminalSettings

/**
 * @author shadowfacts
 */
object PhyConAPIImpl: PhyConAPI {

	override fun <E> registerTerminalSetting(id: Identifier, defaultValue: E): TerminalSettingKey<E> where E: Enum<E>, E: TerminalSetting? {
		return TerminalSettings.register(id, defaultValue)
	}

}
