package net.shadowfacts.phycon.block.terminal

import net.minecraft.block.BlockState
import net.minecraft.util.Identifier
import net.minecraft.util.math.BlockPos
import net.minecraft.world.BlockView
import net.shadowfacts.phycon.PhysicalConnectivity

/**
 * @author shadowfacts
 */
class CraftingTerminalBlock: AbstractTerminalBlock<CraftingTerminalBlockEntity>() {

	companion object {
		val ID = Identifier(PhysicalConnectivity.MODID, "crafting_terminal")
	}

	override fun createBlockEntity(pos: BlockPos, state: BlockState) = CraftingTerminalBlockEntity(pos, state)

}
