package net.shadowfacts.phycon.frame

import net.shadowfacts.phycon.api.frame.PacketFrame
import net.shadowfacts.phycon.api.packet.Packet
import net.shadowfacts.phycon.api.util.MACAddress

/**
 * @author shadowfacts
 */
class BasePacketFrame(
	private val packet: Packet,
	source: MACAddress,
	destination: MACAddress,
): BaseFrame(source, destination), PacketFrame {
	override fun getPacket() = packet
}
