package net.shadowfacts.phycon.util

import net.minecraft.util.math.Box
import net.minecraft.util.math.Vec3d

/**
 * @author shadowfacts
 */
fun Box.containsInclusive(point: Vec3d): Boolean {
	return point.x >= minX && point.x <= maxX && point.y >= minY && point.y <= maxY && point.z >= minZ && point.z <= maxZ
}
